Work in progress. Some documented features are not live yet.

Create wallet

POST
/v1/wallets

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/wallets" \  -H "Content-Type: application/json" \  -d '{    "identity": "string"  }'
{  "id": "string",  "identity": "string",  "billingPeriod": {    "interval": "day",    "anchor": 0  },  "billingPeriodLocked": true,  "createdAt": 0,  "balances": [    {      "creditKey": "string",      "amountNanocredits": "string",      "debtNanocredits": "string"    }  ]}